Skip to main content
`Ctrl`+`K`

# pandas.Index.fillna

Index.fillna(value=None, downcast=<no_default>)

  Fill NA/NaN values with the specified value.

  Parameters:
    value scalar

      Scalar value to use to fill holes (e.g. 0). This value cannot be a list-likes.

    downcast dict, default is None

      A dict of item->dtype of what to downcast if possible, or the string ‘infer’ which will try to downcast to an appropriate equal type (e.g. float64 to int64 if possible).

      Deprecated since version 2.1.0.

  Returns:
    Index

  See also

  `DataFrame.fillna`

    Fill NaN values of a DataFrame.

  `Series.fillna`

    Fill NaN Values of a Series.

  Examples

      >>> idx = pd.Index([np.nan, np.nan, 3])
      >>> idx.fillna(0)
      Index([0.0, 0.0, 3.0], dtype='float64')